// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__1BD10DCB_A39E_4AED_8E40_DD020788316B__INCLUDED_)
#define AFX_STDAFX_H__1BD10DCB_A39E_4AED_8E40_DD020788316B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable: 4192)
#import "../../bin/wpio.dll"

using namespace WpioLib;

// =========================================================================
// outputPath, makeRect, makeAnchor

#define outputPath(file)	L"output/" L ## file

inline RECT makeRect(LONG left, LONG top, LONG right, LONG bottom)
{
	RECT rc = { left, top, right, bottom };
	return rc;
}

inline WpioShapeAnchor makeAnchor(
	long xaLeft, long yaTop, long xaRight, long yaBottom,
	DgioPOSRELH xRel = dgposrelhColumn, DgioPOSRELV yRel = dgposrelvParagraph,
	WpioWrapMode wrapMode = wpioWrapNone, WpioWrapType wrapType = wpioWrapBoth)
{
	WpioShapeAnchor anchor = { 
		xaLeft, yaTop, xaRight, yaBottom,
		xRel, yRel, wrapMode, wrapType, FALSE
	};
	return anchor;
}

// =========================================================================
// SELECT_RUN, AUTORUN

#include <stdio.h>

extern void setUp();

template <int n>
struct __AutoRun_Util
{
	static const char* _g_name;
	static int doSetUp() {
		::setUp();
		return 0;
	}
};

template <class FunT>
inline int __auto_Run(FunT Fun, const char* szFun)
{
	typedef __AutoRun_Util<0> _Util;
	static int init = _Util::doSetUp();
	const char* szSelFun = _Util::_g_name;
	if (szSelFun == NULL || strstr(szFun, szSelFun))
	{
		printf("------------------------- %s -------------------------\n", szFun);
		Fun();
	}
	return 0;
}

#define AUTORUN(Fun)													\
	static int __g_autoRun_ ## Fun = __auto_Run(Fun, #Fun)

#define SELECT_RUN(szFun)												\
	template <> const char* __AutoRun_Util<0>::_g_name = szFun

// =========================================================================
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__1BD10DCB_A39E_4AED_8E40_DD020788316B__INCLUDED_)
