// TestHeaderFooter.cpp : Test header/footer functions of Wpio

#include "stdafx.h"

// -------------------------------------------------------------------------

void testHeaderFooter()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testHeaderFooter.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	WpioDocumentSettings* settings = doc->Settings;
	settings->OddAndEvenPagesHeaderFooter = TRUE;

	doc->NewNormalSection();
	
	doc->EnterHeaderFooter(wpioEvenHeader);
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();
		doc->AddText(L"I'm in EvenHeader\x0d", 21);
	}
	doc->LeaveHeaderFooter();

	doc->EnterHeaderFooter(wpioOddHeader);
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();
		doc->AddText(L"I'm in OddHeader\x0d", 20);
	}
	doc->LeaveHeaderFooter();

	doc->NewNormalParagraph();
	doc->NewNormalSpan();
	doc->AddText(L"Hello world!\x0c", 13);
	
	doc->NewNormalParagraph();
	doc->NewNormalSpan();
	doc->AddText(L"Page2\x0d", 6);

	writer->Save();
}

AUTORUN(testHeaderFooter);

// -------------------------------------------------------------------------
