// TestDrawing.cpp : Test basic drawings of Wpio

#include "stdafx.h"

// -------------------------------------------------------------------------

void testDrawingFirst()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testDrawingFirst.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);
	doc->AddShape(FALSE)->ShapeType = dgiosptEllipse;
	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testDrawingFirst);

// -------------------------------------------------------------------------

void testShapeAnchor()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testShapeAnchor.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);

	DgioShape* shape = doc->AddShape(FALSE);
	shape->ShapeType = dgiosptLine;
	shape->WpClientAnchor = makeAnchor(0x150, 0x160, 0x10EC, 0xC18);
	
	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testShapeAnchor);

// -------------------------------------------------------------------------

void testInlineShape()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testInlineShape.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);
	doc->AddInlineShape(400, 400, FALSE)->ShapeType = dgiosptEllipse;
	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testInlineShape);

// -------------------------------------------------------------------------
