// TestGroupShape.cpp : Test group shape of Wpio

#include "stdafx.h"

// -------------------------------------------------------------------------

void testGroupShape()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testGroupShape.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);

	DgioShape* group = doc->AddShape(TRUE);
	group->WpClientAnchor = makeAnchor(0x150, 0x160, 0x10EC, 0xC18);
	{
		DgioShape* shape1 = group->NewShape(FALSE);
		shape1->ShapeType = dgiosptLine;
		shape1->ChildAnchor = makeRect(0x168, 0x1D4, 0x4EC, 0x618);

		DgioShape* shape2 = group->NewShape(FALSE);
		shape2->ShapeType = dgiosptEllipse;
		shape2->ChildAnchor = makeRect(0x768, 0x8D4, 0x9EC, 0xB18);
	}

	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testGroupShape);

// -------------------------------------------------------------------------

void testInlineGroupShape()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testInlineGroupShape.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);

	DgioShape* group = doc->AddInlineShape(0xF00, 0xB00, TRUE);
	{
		DgioShape* shape1 = group->NewShape(FALSE);
		shape1->ShapeType = dgiosptLine;
		shape1->ChildAnchor = makeRect(0x168, 0x1D4, 0x4EC, 0x618);

		DgioShape* shape2 = group->NewShape(FALSE);
		shape2->ShapeType = dgiosptEllipse;
		shape2->ChildAnchor = makeRect(0x768, 0x8D4, 0x9EC, 0xB18);
	}

	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testInlineGroupShape);

// -------------------------------------------------------------------------
