// TestShapeFormat.cpp : Test shape format of Wpio Drawing

#include "stdafx.h"

// -------------------------------------------------------------------------

void testShapeFormat()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testShapeFormat.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	DgioShapeFormat* spf = doc->DgioFactory->ShapeFormat;
	spf->fFilled = TRUE;
	spf->fillType = dgfillSolid;
	spf->fillColor = 0x0000ff; // bbggrr

	DgioShape* shape = doc->AddShape(FALSE);
	shape->ShapeType = dgiosptEllipse;
	shape->ShapeFormat = spf;
	shape->WpClientAnchor = makeAnchor(0x150, 0x160, 0x10EC, 0xC18);

	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testShapeFormat);

// -------------------------------------------------------------------------
