// TestTestBox.cpp : Test textbox of Wpio

#include "stdafx.h"

// -------------------------------------------------------------------------

void testTextBox()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testTextBox.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);

	DgioShape* shape = doc->AddShape(FALSE);
	shape->ShapeType = dgiosptTextBox;
	shape->WpClientAnchor = makeAnchor(0x150, 0x160, 0x10EC, 0xC18);

	doc->EnterTextBox(shape);
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();
		doc->AddText(L"I'm in textbox!\x0d", 16);
	}
	doc->LeaveTextBox();

	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testTextBox);

// -------------------------------------------------------------------------

void testLinkedTextBox()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("testLinkedTextBox.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();
	doc->NewNormalParagraph();
	doc->NewNormalSpan();

	doc->AddText(L"Hello, world! ", 13);

	DgioShape* textbox1 = doc->AddShape(FALSE);
	textbox1->ShapeType = dgiosptTextBox;
	textbox1->WpClientAnchor = makeAnchor(
		0x50, 0x60, 0xE00, 0xC18,
		dgposrelhColumn, dgposrelvParagraph, wpioWrapSquare);

	DgioShape* textbox2 = doc->AddShape(FALSE);
	textbox2->ShapeType = dgiosptTextBox;
	textbox2->WpClientAnchor = makeAnchor(0x450, 0x860, 0x11EC, 0x1100);
	textbox2->NextShape = textbox1; // link textbox1 and textbox2

	doc->EnterTextBox(textbox2);
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();
		for (int i = 0; i < 16; ++i)
			doc->AddText(L"Hello, you're welcome. I'm in textbox!  ", 40);
		doc->AddChar(0x0d);
	}
	doc->LeaveTextBox();

	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(testLinkedTextBox);

// -------------------------------------------------------------------------
