// DrawingPerformance.cpp : Test performance of Wpio Drawing

#include "stdafx.h"
#include <time.h>
#include <stdlib.h>

// -------------------------------------------------------------------------

void drawingPerformance()
{
	srand( (int)time(NULL) );

	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("drawingPerformance.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;
	
	doc->NewNormalSection();

	for (int i = 0; i < 0x8000; ++i)
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();

		DgioShape* shape = doc->AddShape(FALSE);
		shape->ShapeType = (DgioShapeType)((rand() & 0x7f) + 1);
		shape->WpClientAnchor = makeAnchor(0x768, 0x8D4, 0x10EC, 0x1018);

		doc->AddChar(0x0c); // new page
	}
	
	doc->AddChar(0x0d);

	writer->Save();
}

AUTORUN(drawingPerformance);

// -------------------------------------------------------------------------
